/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.admin;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author Picasso
 */
public class ContractHasServiceId implements Serializable {

    private static final long serialVersionUID = 1086895645005430946L;

    String contractId;
    String serviceId;

    public ContractHasServiceId() {
    }

    public ContractHasServiceId(String contractId, String serviceId) {
        this.contractId = contractId;
        this.serviceId = serviceId;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 53 * hash + Objects.hashCode(this.contractId);
        hash = 53 * hash + Objects.hashCode(this.serviceId);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ContractHasServiceId other = (ContractHasServiceId) obj;
        if (!Objects.equals(this.contractId, other.contractId)) {
            return false;
        }
        if (!Objects.equals(this.serviceId, other.serviceId)) {
            return false;
        }
        return true;
    }

}
